Package org.eclipse.emf.cdo.spi.common.revision

# Class RevisionInfo.Available

java.lang.Object
org.eclipse.emf.cdo.spi.common.revision.RevisionInfo
org.eclipse.emf.cdo.spi.common.revision.RevisionInfo.Available

Direct Known Subclasses:
  `RevisionInfo.Available.Detached`, `RevisionInfo.Available.Normal`, `RevisionInfo.Available.Pointer`

Enclosing class:
  RevisionInfo

public abstract static class RevisionInfo.Available extends RevisionInfo
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  3.0
Author:
  Eike Stepper
No Extend
  This class is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`RevisionInfo.Available.Detached`
If the meaning of this type isn't clear, there really should be more of a description here...
`static class`
`RevisionInfo.Available.Normal`
If the meaning of this type isn't clear, there really should be more of a description here...
`static class`
`RevisionInfo.Available.Pointer`
If the meaning of this type isn't clear, there really should be more of a description here...

## Nested classes/interfaces inherited from class org.eclipse.emf.cdo.spi.common.revision.RevisionInfo

`RevisionInfo.Available, RevisionInfo.Missing, RevisionInfo.Type`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Available(CDOID id, CDOBranchPoint requestedBranchPoint, CDOBranchVersion availableBranchVersion)`
`protected`
`Available(CDODataInput in, CDOBranchPoint requestedBranchPoint)`

## Method Summary

Modifier and Type
Method
Description
`CDOBranchVersion`
`getAvailableBranchVersion()`
`boolean`
`isDirect()`
`boolean`
`isLoadNeeded()`
`protected void`
`readRevision(CDODataInput in)`
`void`
`write(CDODataOutput out)`
`protected void`
`writeRevision(CDODataOutput out, int referenceChunk, CDOBranchPoint securityContext)`

### Methods inherited from class org.eclipse.emf.cdo.spi.common.revision.RevisionInfo

`doReadResult, doWriteResult, execute, getID, getRequestedBranchPoint, getResult, getSynthetic, getType, processResult, read, readResult, readResult, setResult, setSynthetic, toLongString, toString, writeResult, writeResult, writeResult, writeResult, writeResult, writeRevision`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Available

protected Available(CDOID id, CDOBranchPoint requestedBranchPoint, CDOBranchVersion availableBranchVersion)

### Available

protected Available(CDODataInput in, CDOBranchPoint requestedBranchPoint) throws IOException

Throws:
  `IOException`

## Method Details

### getAvailableBranchVersion

public CDOBranchVersion getAvailableBranchVersion()

### isDirect

public boolean isDirect()

### isLoadNeeded

public boolean isLoadNeeded()

Specified by:
  `isLoadNeeded` in class `RevisionInfo`

### write

public void write(CDODataOutput out) throws IOException

Overrides:
  `write` in class `RevisionInfo`
Throws:
  `IOException`

### writeRevision

protected void writeRevision(CDODataOutput out, int referenceChunk, CDOBranchPoint securityContext) throws IOException

Overrides:
  `writeRevision` in class `RevisionInfo`
Throws:
  `IOException`

### readRevision

protected void readRevision(CDODataInput in) throws IOException

Overrides:
  `readRevision` in class `RevisionInfo`
Throws:
  `IOException`